monotone botan-stable AUR

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

monotone botan-stable AUR

Evgeny Pokhilko
Hi all,

monotone and botan-stable Arch Linux AURs seem to be down.


However, the git repositories are still working: https://aur.archlinux.org/cgit/aur.git/?h=botan-stable

Have they been deliberately removed or temporary down?

Cheers,
Evgeny Pokhilko

_______________________________________________
Monotone-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/monotone-devel
Reply | Threaded
Open this post in threaded view
|

Re: monotone botan-stable AUR

Markus Wanner-2
Hi,

I don't really know what's going on in Arch, but...

On 01/16/2017 12:08 AM, Evgeny Pokhilko wrote:
> https://aur.archlinux.org/packages/botan-stable/ 

.. this one works for me.

> https://aur.archlinux.org/packages/monotone

This doesn't, but it's not like monotone is anywhere nearly as active as
Botan.

Notably, it won't compile with the newest Botan version.

Kind Regards

Markus Wanner


_______________________________________________
Monotone-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/monotone-devel
Reply | Threaded
Open this post in threaded view
|

Re: monotone botan-stable AUR

Evgeny Pokhilko
Hello Markus,

Those packages were deleted for unknown to me reason. In Arch Linux AUR anybody can claim ownership of deleted packages. I took over botan-stable because my project depended on it. If somebody wants to use monotone AUR, it's very easy to claim ownership and recover the package.

Cheers,
Evgeny

On Sat, 28 Jan 2017 14:18:14 +0100
Markus Wanner <[hidden email]> wrote:

> Hi,
>
> I don't really know what's going on in Arch, but...
>
> On 01/16/2017 12:08 AM, Evgeny Pokhilko wrote:
> > https://aur.archlinux.org/packages/botan-stable/ 
>
> .. this one works for me.
>
> > https://aur.archlinux.org/packages/monotone
>
> This doesn't, but it's not like monotone is anywhere nearly as active as
> Botan.
>
> Notably, it won't compile with the newest Botan version.
>
> Kind Regards
>
> Markus Wanner
>

--
Evgeny Pokhilko <[hidden email]>

_______________________________________________
Monotone-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/monotone-devel

attachment0 (484 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: monotone botan-stable AUR

CooSoft Support
In reply to this post by Markus Wanner-2
Oh it's more serious then. For sometime monotone hasn't work with the
version of Botan that ships with Ubuntu 14.04, I had to regress the
botan version back to get it to work.

On 28/01/17 13:18, Markus Wanner wrote:

> Hi,
>
> I don't really know what's going on in Arch, but...
>
> On 01/16/2017 12:08 AM, Evgeny Pokhilko wrote:
>> https://aur.archlinux.org/packages/botan-stable/
> .. this one works for me.
>
>> https://aur.archlinux.org/packages/monotone
> This doesn't, but it's not like monotone is anywhere nearly as active as
> Botan.
>
> Notably, it won't compile with the newest Botan version.
>
> Kind Regards
>
> Markus Wanner
>
>
> _______________________________________________
> Monotone-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/monotone-devel



_______________________________________________
Monotone-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/monotone-devel
Reply | Threaded
Open this post in threaded view
|

Re: monotone botan-stable AUR

CooSoft Support
In reply to this post by Markus Wanner-2
Oh it's more serious then. For sometime monotone hasn't work with the
version of Botan that ships with Ubuntu 14.04, I had to regress the
botan version back to get it to work.

On 28/01/17 13:18, Markus Wanner wrote:

> Hi,
>
> I don't really know what's going on in Arch, but...
>
> On 01/16/2017 12:08 AM, Evgeny Pokhilko wrote:
>> https://aur.archlinux.org/packages/botan-stable/
> .. this one works for me.
>
>> https://aur.archlinux.org/packages/monotone
> This doesn't, but it's not like monotone is anywhere nearly as active as
> Botan.
>
> Notably, it won't compile with the newest Botan version.
>
> Kind Regards
>
> Markus Wanner
>
>
> _______________________________________________
> Monotone-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/monotone-devel



_______________________________________________
Monotone-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/monotone-devel
Reply | Threaded
Open this post in threaded view
|

Re: monotone botan-stable AUR

Markus Wanner-2
In reply to this post by CooSoft Support
Hi,

On 29.01.2017 09:46, CooSoft Support wrote:
> Oh it's more serious then. For sometime monotone hasn't work with the
> version of Botan that ships with Ubuntu 14.04, I had to regress the
> botan version back to get it to work.

that surprises me and doesn't quite match the dates I have in mind.

Current monotone releases (certainly 1.0 and 1.1) are compatible with
botan 1.8 and 1.10.

Botan 2.0 was released just a few days ago (Friday, 13th, to be precise)
and certainly isn't part of Ubuntu 14.04 (or any Ubuntu or Debian
release, yet).

If you have a specific issue with monotone 14.04, please file a specific
bug report. Otherwise I'd assume monotone to work just fine on Ubunut
14.04. (And yes, I have used monotone on *that* Ubuntu release.)

Kind Regards

Markus Wanner


_______________________________________________
Monotone-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/monotone-devel
Reply | Threaded
Open this post in threaded view
|

Re: monotone botan-stable AUR

CooSoft Support
To be fair I didn't really investigate as I was distracted by other things at the time, it could have been a binary incompatibility only.

On 29 January 2017 19:13:44 GMT+00:00, Markus Wanner <[hidden email]> wrote:
Hi,

On 29.01.2017 09:46, CooSoft Support wrote:
Oh it's more serious then. For sometime monotone hasn't work with the
version of Botan that ships with Ubuntu 14.04, I had to regress the
botan version back to get it to work.

that surprises me and doesn't quite match the dates I have in mind.

Current monotone releases (certainly 1.0 and 1.1) are compatible with
botan 1.8 and 1.10.

Botan 2.0 was released just a few days ago (Friday, 13th, to be precise)
and certainly isn't part of Ubuntu 14.04 (or any Ubuntu or Debian
release, yet).

If you have a specific issue with monotone 14.04, please file a specific
bug report. Otherwise I'd assume monotone to work just fine on Ubunut
14.04. (And yes, I have used monotone on *that* Ubuntu release.)

Kind Regards

Markus Wanner


--
See www.coosoft.plus.com.
_______________________________________________
Monotone-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/monotone-devel